Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Protected Member Functions
AbstractPolicyHolder< POLICY_INTERFACE, BASE > Class Template Reference
Inheritance diagram for AbstractPolicyHolder< POLICY_INTERFACE, BASE >:

List of all members.

## Public Types

typedef POLICY_INTERFACE | PolicyInterface

## Protected Member Functions

virtual const POLICY_INTERFACE & | GetPolicy () const =0
virtual POLICY_INTERFACE & | AccessPolicy ()=0

## Detailed Description

### template<class POLICY_INTERFACE, class BASE = Empty>
class AbstractPolicyHolder< POLICY_INTERFACE, BASE >

Definition at line 38 of file strciphr.h.

The documentation for this class was generated from the following file:

- strciphr.h